package ink.wgink.module.activiti.enums.oa;

/**
 * @ClassName: TaskCommentEnum
 * @Description: 任务批注类型
 * @Author: wanggeng
 * @Date: 2022/4/28 22:47
 * @Version: 1.0
 */
public enum TaskCommentTypeEnum {
    SIGN("sign", "签批"),
    JOINTLY_SIGN("jointlySign", "会签"),
    GO_BACK("goBack", "回退"),
    FORCED_END("forcedEnd", "强制结束"),
    TRANSFER("transfer", "转交");

    private String value;
    private String text;

    TaskCommentTypeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
